/**
 * 
 */
package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * @author Salman
 * @since Mar 21, 2023
 */
@Entity
@Table(name = "sdm_targetremundokter_t")
public class TargetRemunDokter extends BaseTransaction {
	private static final long serialVersionUID = 5486941281838920996L;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectunitkerjafk")
	@NotNull(message = "Unit kerja harus diisi")
	@Caption(value = "Unit Kerja")
	private UnitKerjaPegawai unitKerjaPegawai;

	@Column(name = "objectunitkerjafk", insertable = false, updatable = false, nullable = false)
	private Integer unitKerjaPegawaiId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectsubunitkerjafk")
	@NotNull(message = "Subunit kerja harus diisi")
	@Caption(value = "Subunit Kerja")
	private SubUnitKerjaPegawai subUnitKerjaPegawai;

	@Column(name = "objectsubunitkerjafk", insertable = false, updatable = false, nullable = false)
	private Integer subUnitKerjaPegawaiId;

	@Column(name = "tglinput", nullable = false)
	@Temporal(TemporalType.TIMESTAMP)
	@NotNull(message = "Tanggal Input harus diisi")
	@Caption(value = "Tanggal Input")
	private Date tglInput;

	@Column(name = "tmt", nullable = false)
	@Temporal(TemporalType.DATE)
	@NotNull(message = "TMT harus diisi")
	@Caption(value = "TMT")
	private Date tmt;

	@Column(name = "rupiahtarget", nullable = false)
	@NotNull(message = "Rupiah target harus diisi")
	@Caption(value = "Rupiah target")
	private Double rupiahTarget;

	public UnitKerjaPegawai getUnitKerjaPegawai() {
		return unitKerjaPegawai;
	}

	public void setUnitKerjaPegawai(UnitKerjaPegawai unitKerjaPegawai) {
		this.unitKerjaPegawai = unitKerjaPegawai;
	}

	public Integer getUnitKerjaPegawaiId() {
		return unitKerjaPegawaiId;
	}

	public void setUnitKerjaPegawaiId(Integer unitKerjaPegawaiId) {
		this.unitKerjaPegawaiId = unitKerjaPegawaiId;
	}

	public SubUnitKerjaPegawai getSubUnitKerjaPegawai() {
		return subUnitKerjaPegawai;
	}

	public void setSubUnitKerjaPegawai(SubUnitKerjaPegawai subUnitKerjaPegawai) {
		this.subUnitKerjaPegawai = subUnitKerjaPegawai;
	}

	public Integer getSubUnitKerjaPegawaiId() {
		return subUnitKerjaPegawaiId;
	}

	public void setSubUnitKerjaPegawaiId(Integer subUnitKerjaPegawaiId) {
		this.subUnitKerjaPegawaiId = subUnitKerjaPegawaiId;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Date getTmt() {
		return tmt;
	}

	public void setTmt(Date tmt) {
		this.tmt = tmt;
	}

	public Double getRupiahTarget() {
		return rupiahTarget;
	}

	public void setRupiahTarget(Double rupiahTarget) {
		this.rupiahTarget = rupiahTarget;
	}
}
